package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryApiOrderListResponse {
    private Integer pageIndex;
    private Integer pageSize;
    private Integer totalSize;
    private Integer totalPage;
    private List<OpenOrderInfo> orderInfoList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class OpenOrderInfo {
        private String orderId;
        private String outUserId;
        private String storeId;
        private String storeName;
        private String itemName;
        private Double quantity;
        private String gunNo;
        private String cityName;
        private Integer orderStatus;
        private Integer totalMoney;
        private Integer realMoney;
        private Integer serviceFee;
        private String payTime;
        private String orderTime;
        private String outOrderId;
        private Integer refundStatus;
        private String refundTime;
        private Integer payType;
        private String openExtra;


    }


}

